Skip to main content
GET
/
posts
/
{pid}
/
logs
Get post logs
curl --request GET \
  --url https://api.social-api.ai/v1/posts/{pid}/logs \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
      "action": "publish",
      "attempt": 1,
      "created_at": "2026-03-22T10:00:05Z",
      "duration_ms": 2340,
      "error_message": "<string>",
      "id": "<string>",
      "platform": "instagram",
      "post_id": "<string>",
      "status": "success",
      "status_code": 200
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 25,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

pid
string
required

Post ID

Query Parameters

limit
integer

Max results (max 100, default 50)

Response

200 - application/json

OK

data
object[]
pagination
object